Bug 1124584 - Same disk appears multiple times (30!) in the Disks tab
Summary: Same disk appears multiple times (30!) in the Disks tab
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
: 3.5.0
Assignee: Daniel Erez
QA Contact: Ori Gofen
URL:
Whiteboard: storage
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-29 20:52 UTC by Nir Soffer
Modified: 2016-02-10 19:00 UTC (History)
9 users (show)

Fixed In Version: ovirt-3.5.0_rc1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-17 12:29:43 UTC
oVirt Team: Storage


Attachments (Terms of Use)
Screenshot showing the duplicated disk (235.20 KB, image/png)
2014-07-29 20:52 UTC, Nir Soffer
no flags Details
Another example where each disk appears only twice (103.99 KB, image/png)
2014-07-29 20:52 UTC, Nir Soffer
no flags Details


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30841 master MERGED core: fixed search Disks when filtered by data-center Never
oVirt gerrit 30859 ovirt-engine-3.5 MERGED core: fixed search Disks when filtered by data-center Never

Description Nir Soffer 2014-07-29 20:52:16 UTC
Created attachment 922346 [details]
Screenshot showing the duplicated disk

Description of problem:

The same disk appears about 30(!) times in the Disks tab - see screenshot.

Version-Release number of selected component (if applicable):
oVirt Engine Version: 3.5.0-0.0.master.20140722232056.git8e1babc.fc19

How reproducible:
Always

Steps to Reproduce:
1. Select the Disks tab
2. Select the data center in the left pane

Expected results:
Entity appears once and only once.

Looking at another data center with 2, disks, each disk appear only twice.

Comment 1 Nir Soffer 2014-07-29 20:52:57 UTC
Created attachment 922347 [details]
Another example where each disk appears only twice

Comment 2 Allon Mureinik 2014-07-30 06:05:04 UTC
Daniel, didn't we already see something like this (a regression in the search infra, IIRC)?

Comment 3 Ori Gofen 2014-08-10 16:24:32 UTC
verified on rc1

Comment 4 Sandro Bonazzola 2014-10-17 12:29:43 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.